/**
 *	@file		CRC.h
 *	@author		Edward Wilson (edwilson1989@gmail.com)
 *  @date 		Aug 12, 2010
 *  @brief		This is the base class for the CRC interface.
 */

#ifndef CRC_H_
#define CRC_H_

class CRCbase {

public:
	/**
	 * This method performs the CRC on a message of length x
	 */
	virtual unsigned char CRC(unsigned char[] , unsigned char) = 0;

	/**
	 * This is used to initialise however the system CRC's
	 */
	virtual void init() = 0;
};

#endif /* CRC_H_ */
